commit:     38d2761a3950c6aec64145f7cc79b940d0a4c4ad
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon Feb 27 15:29:27 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Feb 27 17:54:11 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38d2761a

dev-python/python-gammu: enable py3.11

- enable py3.11
- convert to PEP517
- extend HOMEPAGE list

Closes: https://bugs.gentoo.org/896850
Co-authored-by: Michał Górny <mgorny <AT> gentoo.org>
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/29835
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/python-gammu/Manifest                   |  1 +
 .../python-gammu/python-gammu-3.2.4-r1.ebuild      | 57 ++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-python/python-gammu/Manifest b/dev-python/python-gammu/Manifest
index 142f2e7924a6..8e87bc3fd56d 100644
--- a/dev-python/python-gammu/Manifest
+++ b/dev-python/python-gammu/Manifest
@@ -1 +1,2 @@
+DIST python-gammu-3.2.4.gh.tar.gz 144136 BLAKE2B 
ef06b78568e9b88da95d09029191a2de0c4e26cb6b222326bffd0134a9c7eb743bab20201347d3be8a81db43f6005ec2a0550e1976a59de9ee9202c733ae41e0
 SHA512 
9d76b402c50018cc52476376952edebb6b0934aa374ea2a2177f5497d0949fcc77644aa2a35c7402b3f2179962d903409b7b1949c5e85a0e5130058d34f89664
 DIST python-gammu-3.2.4.tar.gz 144136 BLAKE2B 
ef06b78568e9b88da95d09029191a2de0c4e26cb6b222326bffd0134a9c7eb743bab20201347d3be8a81db43f6005ec2a0550e1976a59de9ee9202c733ae41e0
 SHA512 
9d76b402c50018cc52476376952edebb6b0934aa374ea2a2177f5497d0949fcc77644aa2a35c7402b3f2179962d903409b7b1949c5e85a0e5130058d34f89664

diff --git a/dev-python/python-gammu/python-gammu-3.2.4-r1.ebuild 
b/dev-python/python-gammu/python-gammu-3.2.4-r1.ebuild
new file mode 100644
index 000000000000..9ac1f19a9373
--- /dev/null
+++ b/dev-python/python-gammu/python-gammu-3.2.4-r1.ebuild
@@ -0,0 +1,57 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for Gammu"
+HOMEPAGE="
+       https://wammu.eu/python-gammu/
+       https://github.com/gammu/python-gammu/
+       https://pypi.org/project/python-gammu/
+"
+SRC_URI="
+       https://github.com/gammu/python-gammu/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       >=app-mobilephone/gammu-1.34.0
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       virtual/pkgconfig
+       test? (
+               $(python_gen_impl_dep sqlite)
+               app-mobilephone/gammu[dbi]
+       )
+"
+
+DOCS=( AUTHORS NEWS.rst README.rst )
+
+distutils_enable_tests unittest
+
+python_test() {
+       rm -rf gammu || die
+       eunittest
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       if use examples; then
+               docompress -x /usr/share/doc/${P}/examples
+               dodoc -r examples
+       fi
+}

Reply via email to